﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="ELTE.Web.TravelAgency._Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Az utazási iroda weblapja</title>
    <link href="~/Styles.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="_MainForm" runat="server">
    <div class="header">
        <h1>
            Az utazási iroda</h1>
        <h3>
            A legjobb szállásfoglaló</h3>
    </div>
    <div class="content">
        <div class="leftColumn">
            <!-- adatforrás, amely egy entitás modellbeli táblához csatlakozik -->
            <asp:EntityDataSource ID="_DataCityMenu" runat="server" EnableFlattening="False"
                ConnectionString="name=TravelAgencyEntities" DefaultContainerName="TravelAgencyEntities"
                EntitySetName="City">
            </asp:EntityDataSource>
            <h3>Keresés városok szerint</h3>
            <!-- a lista az adatforrásból tölti be a tartalmat -->
            <asp:ListView ID="_ListCityMenu" runat="server" DataKeyNames="Id" DataSourceID="_DataCityMenu">
                <EmptyDataTemplate>Nincs hirdetés.<!-- amennyiben nem sikerült betölteni a tartalmat --></EmptyDataTemplate> 
                <ItemTemplate> <!-- az elemsablon -->
                    <li>
                        <a href="Default.aspx?City=<%# Eval("Id") %>"><%# Eval("Name") %></a> 
                        <!-- az Eval metódus olvassa ki a megfelelő tuljadonságot az adatforrásból -->
                    </li>
                </ItemTemplate>
                <LayoutTemplate> <!-- az elhelyezéssablon -->
                    <ul id="itemPlaceholderContainer" runat="server">
                        <li id="itemPlaceholder" runat="server" />
                    </ul>
                </LayoutTemplate>
            </asp:ListView>
        </div>
        <div class="rightColumn">
            <!-- a lista egy csoportjában két elem lesz -->
            <asp:ListView ID="_ListPlaces" runat="server" DataKeyNames="Id" DataSourceID="_DataBuildings"
                GroupItemCount="2"> 
                <EmptyDataTemplate>
                    <table runat="server">
                        <tr>
                            <td>
                                <div class="contentText">
                                Jelenleg nincs elérhető szálláshely.
                                </div>
                            </td>
                        </tr>
                    </table>
                </EmptyDataTemplate>
                <GroupTemplate> <!-- csoportsablon -->
                    <tr id="itemPlaceholderContainer" runat="server">
                        <td id="itemPlaceholder" runat="server"></td>
                    </tr>
                </GroupTemplate>
                <ItemTemplate>
                    <td>
                        <table border="0" width="300">
                            <tr class="buildingItem">                                
                                <td>
                                    <a href="Details.aspx?Building=<%# Eval("Id") %>">
                                        <image src="Details.aspx?Building=<%# Eval("Id") %>&Image=0" border="0" class="contentImage">
                                    </a>
                                </td>
                                <td>
                                    <div class="buildingItemHead">
                                        <a href="Details.aspx?Building=<%# Eval("Id") %>"><%# Eval("Name") %></a>
                                    </div>
                                    <div class="buildingItemContent">
                                        <strong>Város: </strong><%# Eval("City.Name") %><br>
                                        <strong>Leírás: </strong><%# Eval("Comment").ToString().Substring(0, Eval("Comment").ToString().IndexOf(".") + 1) %>
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </td>
                </ItemTemplate>
                <LayoutTemplate>
                    <table>
                        <tr>
                            <td>
                                <table id="groupPlaceholderContainer" runat="server">
                                    <tr id="groupPlaceholder" runat="server">
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr runat="server">
                            <td runat="server"></td>
                        </tr>
                    </table>
                </LayoutTemplate>
            </asp:ListView>
            <!-- adatforrás, amely már két táblából tölt be adatokat és megszűri az eredményt -->
            <asp:EntityDataSource ID="_DataBuildings" runat="server" EnableFlattening="False"
                AutoGenerateWhereClause="True" ConnectionString="name=TravelAgencyEntities" DefaultContainerName="TravelAgencyEntities"
                EntitySetName="Building" Include="City">
                <WhereParameters>
                    <asp:QueryStringParameter Name="CityId" QueryStringField="City" Type="Int32" />
                </WhereParameters>                
            </asp:EntityDataSource>
        </div>
    </div>
    </form>
</body>
</html>
