﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace ELTE.Web.TravelAgency
{
    public partial class RentAppartment : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            _DivRentCompleted.Visible = false;
            if (!String.IsNullOrEmpty(Request["Appartment"]))
            {
                if (IsPostBack)
                    MakeRent();
            }
            else
                Response.Redirect("Default.apx");
        }

        public void ValidatorRentTime_ServerValidate(object sender, ServerValidateEventArgs e)
            // az egyedi validátorhoz rendelt eseménykezelő
        { 
            Int32 d;
            if (Int32.TryParse(e.Value, out d) && d >= 1) // ellenőrizzük, hogy az érték megfelelő-e
                e.IsValid = true; 
            else
                e.IsValid = false;
        }

        /// <summary>
        /// Foglalás elvégzése
        /// </summary>
        private void MakeRent()
        {
            using (TravelAgencyEntities entities = new TravelAgencyEntities())
            {
                entities.AddToRent(new Rent
                {
                    Name = _TextName.Text,
                    Address = _TextAddress.Text,
                    PhoneNumber = _TextPhoneNumber.Text,
                    Email = _TextEmail.Text,
                    StartDate = _CalendarRentStart.SelectedDate,
                    AppartmentId = Convert.ToInt32(Request["Appartment"]),
                    Weeks = Convert.ToInt32(_TextRentTime.Text)
                }); // felveszünk egy új példányt

                entities.SaveChanges(); // elmentjük a változtatásokat
                _DivRentCompleted.Visible = true; // megjeelnítjük a sikeres foglalás üzenetét
            }
        }
    }
}