﻿<%@ Page Title="Az utazási iroda - Épület részletei" Language="C#" MasterPageFile="~/TravelAgency.Master"
    AutoEventWireup="true" CodeBehind="Details.aspx.cs" Inherits="ELTE.Web.TravelAgency.Details" %>

<%@ Register TagPrefix="google" Assembly="GoogleStaticMap.Control" Namespace="ELTE.Web.GoogleStaticMap.Control" %>
<asp:Content ID="_MainContent" ContentPlaceHolderID="_MainContentPlaceholder" runat="server">
    <!-- űrlapnézet, amely egy elem adatait jeleníti meg -->
    <asp:FormView ID="_FormBuilding" runat="server" DataKeyNames="Id" DataSourceID="_DataBuildings">
        <ItemTemplate>
            <div class="contentHead">
                <%# Eval("Name") %></div>
            <div class="contentBody">
                <table width="600">
                    <tr>
                        <td>
                            <strong>Város:</strong>
                            <%# Eval("City.Name") %>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <strong>Tengerpart távolság:</strong>
                            <%# Eval("SeaDistance") %>
                            m
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <strong>Tengerpart típus: </strong>
                            <%# ToShoreType(Eval("ShoreId")) %>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div class="contentComment">
                                <strong>Leírás:</strong>
                                <%# Eval("Comment") %></div>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div class="contentComment">
                                <strong>Képek:</strong><br />
                                <asp:Repeater ID="_RepeaterImages" runat="server" DataSourceID="_DataImages">
                                    <ItemTemplate>
                                        <a href="Details.aspx?Building=<%# Eval("BuildingId") %>&Image=<%# Eval("Id") %>&Size=large"
                                            target="_blank">
                                            <image src="Details.aspx?Building=<%# Eval("Id") %>&Image=<%# Eval("Id") %>" border="0"
                                                class="contentImage">
                                        </a>
                                    </ItemTemplate>
                                </asp:Repeater>
                            </div>
                        </td>
                    </tr>
                </table>
            </div>
        </ItemTemplate>
    </asp:FormView>
    <table width="600">
        <tr>
            <td>
                <div class="contentComment">
                    <strong>Elhelyezkedés:</strong></div>
            </td>
        </tr>
        <tr>
            <td align="center">
                <google:GoogleStaticMap ID="_GoogleMap" MapType="Hybrid" AutoZoom="false" AutoCenter="false"
                    Width="500" Height="360" ZoomLevel="14" Key="ABQIAAAAaHAby4XeLCIadFkAUW4vmRSkJGe9mG57rOapogjk9M-sm4TzXxR2I7bi2Qkj-opZe16CdmDs7_dNrQ"
                    runat="server" />
                <!-- térkép megjelenítése -->
            </td>
        </tr>
    </table>
    <br />
    <table width="600">
        <asp:ListView ID="_ListApparments" runat="server" DataKeyNames="Id" DataSourceID="_DataAppartments">
            <ItemTemplate>
                <tr>
                    <td>
                        <div class="contentComment">
                            <strong>
                                <%# Eval("Room") %>.</strong>
                            <%# Eval("Comment") %></div>
                        <div class="contentDay">
                            <strong>Fordulónap:</strong>
                            <%# ToDay(Eval("Turnday")) %></div>
                        <div class="contentPrice">
                            <strong>Ár:</strong>
                            <%# Eval("Price") %>
                            EUR/éjszaka</div>
                    </td>
                </tr>
                <tr>
                    <td>
                        <a href="RentAppartment.aspx?Appartment=<%# Eval("Id") %>" class="contentLink">Szállás
                            lefoglalása</a>
                    </td>
                </tr>
            </ItemTemplate>
            <LayoutTemplate>
                <ul id="itemPlaceholderContainer" runat="server">
                    <li id="itemPlaceholder" runat="server" />
                </ul>
            </LayoutTemplate>
        </asp:ListView>
    </table>
    <asp:EntityDataSource ID="_DataBuildings" runat="server" EnableFlattening="False"
        AutoGenerateWhereClause="True" ConnectionString="name=TravelAgencyEntities" DefaultContainerName="TravelAgencyEntities"
        EntitySetName="Building" Include="City">
        <WhereParameters>
            <asp:QueryStringParameter Name="Id" QueryStringField="Building" Type="Int32" />
        </WhereParameters>
    </asp:EntityDataSource>
    <asp:EntityDataSource ID="_DataAppartments" runat="server" EnableFlattening="False"
        AutoGenerateWhereClause="True" ConnectionString="name=TravelAgencyEntities" DefaultContainerName="TravelAgencyEntities"
        EntitySetName="Appartment">
        <WhereParameters>
            <asp:QueryStringParameter Name="BuildingId" QueryStringField="Building" Type="Int32" />
        </WhereParameters>
    </asp:EntityDataSource>
    <asp:EntityDataSource ID="_DataImages" runat="server" EnableFlattening="False" AutoGenerateWhereClause="True"
        ConnectionString="name=TravelAgencyEntities" DefaultContainerName="TravelAgencyEntities"
        EntitySetName="BuildingImage">
        <WhereParameters>
            <asp:QueryStringParameter Name="BuildingId" QueryStringField="Building" Type="Int32" />
        </WhereParameters>
    </asp:EntityDataSource>
</asp:Content>
