﻿using System;
using System.Linq;
using System.Web.Caching;

namespace ELTE.Web.TravelAgency
{
    public class Global : System.Web.HttpApplication
    {

        protected void Application_Start(object sender, EventArgs e)
        {
            Application["GuestCount"] = 0; // alkalmazásszintű változóban tároljuk, hogy látogatója (munkamenete) van az oldalnak
            Application["UserCount"] = 0;

            using (TravelAgencyEntities entities = new TravelAgencyEntities())
            {
                Context.Cache.Add("CityList", entities.City.ToList(), null,
                                  Cache.NoAbsoluteExpiration, Cache.NoSlidingExpiration, CacheItemPriority.Normal, null);
                // betöltjük a várások listáját a gyorsítótárba
            }
        }

        protected void Session_Start(object sender, EventArgs e)
        {
            Application["GuestCount"] = Convert.ToInt32(Application["GuestCount"]) + 1; // munkamenet kezdetekor növeljük a látogatók számát
        }

        protected void Application_BeginRequest(object sender, EventArgs e)
        {

        }

        protected void Application_AuthenticateRequest(object sender, EventArgs e)
        {

        }

        protected void Application_Error(object sender, EventArgs e)
        {

        }

        protected void Session_End(object sender, EventArgs e)
        {
            if (Session["Costumer"] != null) // ha a felhasználó még be van jelentkezve
            {
                Application["UserCount"] = Convert.ToInt32(Application["UserCount"]) - 1; // csökkentjük a bejelentkezettek számát
            }
            else
                Application["GuestCount"] = Convert.ToInt32(Application["GuestCount"]) - 1; // különben a vendégek számát
        }

        protected void Application_End(object sender, EventArgs e)
        {

        }
    }
}