﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace ELTE.Web.TravelAgency
{
    public partial class TravelAgency : System.Web.UI.MasterPage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            _ListCityMenu.DataSource = Context.Cache["CityList"]; // adatok betöltése gyorsítótárból
            _ListCityMenu.DataBind(); // adatkötés

            if (Request.Cookies["Customer"] != null && Session["Customer"] == null) // amennyiben van a felhasználónak sütije, és még nem jelentkezett be
            {
                try
                {
                    using (TravelAgencyEntities entities = new TravelAgencyEntities())
                    {
                        String userName = Request.Cookies["Customer"]["CustomerName"].ToString();
                        String userPassword = Request.Cookies["Customer"]["CustomerPassword"].ToString();
                        Customer customer = entities.Customer
                                                    .Where(x => x.UserName == userName && x.UserPassword == userPassword) // betöltjük a süti alapján a felhasználót
                                                    .FirstOrDefault();

                        if (customer != null) // amennyiben van találat
                        {
                            Session.Add("Customer", customer); // felvesszük a felhasználót a munkafolyamatba
                            Application["UserCount"] = Convert.ToInt32(Application["UserCount"]) + 1;
                            Application["GuestCount"] = Convert.ToInt32(Application["GuestCount"]) - 1;
                        }
                    }
                }
                catch { }

            }

            if (Session["Customer"] == null) // annak függvényében, hogy be van-e jelentkezve valaki
            {
                // változtatjuk a megjelenítést
                _LiteralLoginLogout.Text = "<a href=\"Login.aspx?Opt=login\">Bejelentkezés</a>";
                _LiteralWelcome.Text = "Üdvözöljük! Jelenleg " + Application["UserCount"] + " vásárló, és " + Application["GuestCount"] + " látogató van az oldalon.";
            }
            else
            {
                _LiteralLoginLogout.Text = "<a href=\"Login.aspx?Opt=logout\">Kijelentkezés</a>";
                _LiteralWelcome.Text = "Üdvözöljük, <strong>" + (Session["Customer"] as Customer).Name + "</strong>! Jelenleg " + Application["UserCount"] + " vásárló, és " + Application["GuestCount"] + " látogató van az oldalon.";
            }            
        }
    }
}