﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace ELearning.Models
{
    /// <summary>
    /// Tananyag nézet modellje
    /// </summary>
    public class LectureViewModel
    {
        /// <summary>
        /// Kurzusok listája
        /// </summary>
        [ScaffoldColumn(false)]
        public List<ECourse> Courses { get; set; }

        /// <summary>
        /// Kurzus azonosító
        /// </summary>
        [DisplayName("Kurzus")]
        public String CourseId { get; set; }

        /// <summary>
        /// Név
        /// </summary>
        [DisplayName("Név")]
        [Required(ErrorMessage = "A nevet meg kell adni.")]
        public String Name { get; set; }

        /// <summary>
        /// Leírás
        /// </summary>
        [DisplayName("Leírás")]
        public String Description { get; set; }

        /// <summary>
        /// Pontérték
        /// </summary>
        [DisplayName("Pontérték")]
        [Required(ErrorMessage = "A pontértéket meg kell adni.")]
        [RegularExpression(@"^[0-9]+", ErrorMessage = "A megadott érték nem szám.")]
        public Int32 Credit { get; set; }

        /// <summary>
        /// Csatolt tananyag állomány
        /// </summary>
        [DisplayName("Csatolt állomány")]
        [Required(ErrorMessage = "Kötelező fájlt feltölteni.")]
        public HttpPostedFileWrapper File { get; set; }
    }
}