﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace ELearning.Models
{
    /// <summary>
    /// Regisztrációs nézet modellje
    /// </summary>
    public class RegisterViewModel
    {
        /// <summary>
        /// Felhasználónév
        /// </summary>
        [Required(ErrorMessage = "Az azonosító megadása kötelező.")]
        [StringLength(12, MinimumLength = 4, ErrorMessage = "Az azonosító legalább {2}, legfeljebb {1} karakter hosszú lehet.")]
        [RegularExpression(@"^[a-zA-z0-9]*$", ErrorMessage = "Az azonosító csak kis és nagybetűt, valamint számot tartalmazhat.")]
        [DisplayName("Azonosító")]
        public String UserName { get; set; }

        /// <summary>
        /// E-mail cím
        /// </summary>
        [Required(ErrorMessage = "Az e-mail cím megadása kötelező.")]
        [RegularExpression(@"^[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$", ErrorMessage = "Hibás formátumú e-mail cím.")]
        [DisplayName("E-mail cím")]
        public String Email { get; set; }

        /// <summary>
        /// Jelszó
        /// </summary>
        [Required(ErrorMessage = "A jelszó megadása kötelező.")]
        [StringLength(50, MinimumLength = 6, ErrorMessage = "A jelszó hossza legalább {2}, legfeljebb {1} karakter kell legyen.")]
        [DisplayName("Jelszó")]
        public String UserPass { get; set; }

        /// <summary>
        /// Jelszó megerősítése
        /// </summary>
        [Required(ErrorMessage = "A jelszó megerősítése kötelező.")]
        [DisplayName("Jelszó megerősítése")]
        public String ConfirmPass { get; set; }
    }
}